//
//  DXFReader.h
//  DXFReader
//
//  Created by Allan Daly (allan@brown-bird.net) on 2/2/09.
//	For information related to this framework see brown-bird.net.
//
//	********************************************************************************
//	Copyright (c) 2009 Allan Daly
//	All rights reserved.
//	
//	Redistribution and use in source and binary forms, with or without
//	modification, are permitted provided that the following conditions are met:
//	    * Redistributions of source code must retain the above copyright
//	      notice, this list of conditions and the following disclaimer.
//	    * Redistributions in binary form must reproduce the above copyright
//	      notice, this list of conditions and the following disclaimer in the
//	      documentation and/or other materials provided with the distribution.
//	    * Neither the name of Brown Bird nor the
//	      names of its contributors may be used to endorse or promote products
//	      derived from this software without specific prior written permission.
//	
//	THIS SOFTWARE IS PROVIDED BY ALLAN DALY ''AS IS'' AND ANY
//	EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
//	WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
//	DISCLAIMED. IN NO EVENT SHALL ALLAN DALY BE LIABLE FOR ANY
//	DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
//	(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
//	LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
//	ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
//	(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
//	SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//	********************************************************************************
//

// base model classes
#import <DXFReader/BBDXFEntityContainer.h>
#import <DXFReader/BBDXFModel.h>
#import <DXFReader/BBDXFBlock.h>

// parser class
#import <DXFReader/BBDXFParser.h>

// entities
// base entity class
#import <DXFReader/BBDXFEntity.h>

// entity subclasses
#import <DXFReader/BBDXFEntityLine.h>
#import <DXFReader/BBDXFEntityPolyline.h>
#import <DXFReader/BBDXFEntityArc.h>
#import <DXFReader/BBDXFEntityCircle.h>
#import <DXFReader/BBDXFEntityText.h>
#import <DXFReader/BBDXFEntityInsert.h>

// utiliy classes
#import <DXFReader/BB3DPoint.h>